curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/enterpriseconnection/{connectionName} \
--header 'Authorization: Bearer <token>'{
"connection_name": "<string>",
"default_role": "<string>",
"enforce_group_sync": true,
"group_mappings": {}
}curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/enterpriseconnection/{connectionName} \
--header 'Authorization: Bearer <token>'{
"connection_name": "<string>",
"default_role": "<string>",
"enforce_group_sync": true,
"group_mappings": {}
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
The name of the Organization's Enterprise Connection
Get enterprise connection
The connection name
The purpose of this default role is to be associated to your users if:
group_mappings definedYou can define either a Qovery provided role (i.e viewer) or one of your custom role`s uuid.
true, roles will be synchronized at each user login according to your group_mappings configuration based on your IDP groupsfalse, no synchronization is done for your users and group_mappings configuration will be ignoredThis will allow to create mapping rules based on your IDP group names.
It's a dictionnary having:
viewer) or one of your custom role`s uuidExample: "I want to associate the Qovery role devops to my IDP groups ['Administrators', 'DevSecOps']"
Show child attributes
Was this page helpful?